#include "tile/net/http/http_message.h"

namespace tile {
namespace http {
std::string *
HttpMessage::StringifyBody() const
{
    if (!body_) {
        body_str_ = "";
    } else {
        body_str_ = FlattenSlow(*body_);
    }
    return &*body_str_;
}
}// namespace http
}// namespace tile
